Bug 230779 - Broadcom 9480 (using SAS3516) requires newer mrsas and not mpr in kernel
Summary: Broadcom 9480 (using SAS3516) requires newer mrsas and not mpr in kernel
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 11.2-RELEASE
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-20 16:51 UTC by adamz
Modified: 2019-10-08 02:43 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description adamz 2018-08-20 16:51:54 UTC
Broadcom 9480 (using SAS3516) does not currently work within the 11.2-Release.  The native source and kernel modules included seem to be out of date.  This card also seems to require the use of MRSAS and not MPR as the FreeBSD documentation indicates.  From a kernel module perspective it was mrsas.ko and the loader.conf configuration enabling that module that would get the controller to work.

Upon booting a machine to the installer iso with hard drives connected to the raid controller (mirrored pair), nothing is found.  I had created a forum post (https://forums.freebsd.org/threads/broadcom-9480-sas3516-and-freebsd-11-2-release.66687/) while I was initially troubleshooting this and what it came down to was that I had to update either the source in the kernel and rebuild it or rebuild a custom kernel with all of the Broadcom references removed and update the kernel modules.  

I was successfully able to get a system working (if the OS hard drive is not connected to the raid controller) by rebuilding the kernel and using the MR_FREEBSD_DRIVER_MRSAS_7.5-07.705.01.00.tgz package downloaded from Broadcom directly.  There may be a newer version available now but that was the package that I had used while troubleshooting.

Without creating a custom installation iso to allow installation on an OS drive that is  connected to the raid controller I'm not sure how to get around this.
Comment 1 Kashyap 2018-08-21 18:27:41 UTC
(In reply to adamz from comment #0)


Broadcom will post latest mrsas driver to upstream. It is work in progress.
If you want to install OS behind MegaRaid Ventura controller (which is not supported by inbox mprsas), you can follow the method of adding driver through USB drives as driver update disk. Process is described in release guide "FreeBSDInstallation_LSIDriver.txt"

Kashyap
Comment 2 adamz 2018-08-21 18:33:29 UTC
Just for reference the driver I tested with and was able to use (included in original post) was released March 05, 2018.
Comment 3 adamz 2019-10-08 02:43:06 UTC
I just upgraded one of our machines here to 12.0 and the mrsas.ko file included is still not functional.  I downloaded the drivers released from Broadcom, replaced the mrsas.ko file with that one and it works fine.  When can the native driver be updated to include a FUNCTIONAL kernel module?

The version I downloaded was MR_FREEBSD_DRIVER_MRSAS_7.9-07.709.04.00 which was released March 2019 so we are not talking about anything cutting edge or brand new.

Fuctional version:
MD5 (/boot/kernel/mrsas.ko) = 85ff8159a6e4e526f5b3d288e9cba42b
Dated Oct 8 02:34

Packaged non functional version:
MD5 (/root/mrsas.ko.12.0) = 514aa7a09867f67c6de790f743878698
Dated Oct 7 17:06